{% extends 'layout/base.html' %}
{% load static %}
{% block content %}

<!-- membuat halaman My Activity -->
<div id="page4" class="container-fluid">
    <div id="page4_background_font">
        <article>Activity</article>
    </div>
    <div id="page4_background_font2">
        <article>Activity</article>
    </div>
    <div id="page5_form">
        <h1>My Activity</h1>
        <table class="table">
            <thead>
                <th>Activity name</th>
                <th>Date</th>
                <th>Place</th>
                <th>Category</th>
            </thead>
            <tbody>
                <!-- TODO, Kalau nama/email anon maka tr classnya jadi warning -->
                {% for i in message %}
                {% if i.nama_kegiatan == 'Anonymous'%}
                <tr class="warning"> {% else %} <tr class="success">
                    {% endif %}
                    <td> {{i.nama_kegiatan}} </td>
                    <td> {{i.waktu}} </td>
                    <td> {{i.tempat}} </td>
                    <td> {{i.kategori}} </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
            <a class="btn btn-danger" href="{% url 'delete_table' %}">Delete All</a>
        <br><br>
    </div>
</div>

{% endblock %}